> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查詢手續費

> 查詢手續費

查詢手續費。

> [!NOTE]
>
> 該介面為私有介面，需要按照事件合約認證要求完成認證後呼叫。


## OpenAPI

````yaml openapi/event-contracts-zh-TW.yaml GET /api/v4/broker/event_contracts/fee/current
openapi: 3.0.3
info:
  title: DexBuilder Event Contracts API
  version: 1.0.0
  description: DexBuilder 事件合約 REST API
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/broker/event_contracts/fee/current:
    get:
      summary: 查詢目前手續費
      description: 查詢目前手續費設定。
      operationId: query_current_fee
      parameters:
        - name: Timestamp
          in: header
          required: true
          description: Unix 秒級時間戳；與閘道時間的差距不得超過 60 秒。
          schema:
            type: string
        - name: SIGN
          in: header
          required: true
          description: 使用實際對外請求路徑、Query 與 Body 計算的 HMAC-SHA512 十六進位簽名。
          schema:
            type: string
        - name: X-User-Wallet-Address
          in: header
          required: true
          description: 目標終端使用者的錢包地址；閘道會驗證該錢包屬於目前 Broker。
          schema:
            type: string
        - name: fee_type
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: 請求成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeResp'
        '400':
          description: 請求參數錯誤
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: 認證失敗
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: 服務暫時不可用
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BrokerAPIKey: []
components:
  schemas:
    FeeResp:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/FeeQueryItem'
      description: 回應物件。
    Error:
      type: object
      description: 錯誤回應。
      properties:
        label:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: invalid request
    FeeQueryItem:
      type: object
      properties:
        category:
          type: string
        fee_mode:
          type: string
        maker_fee_rate:
          type: string
        taker_fee_rate:
          type: string
      description: 回應物件。
  securitySchemes:
    BrokerAPIKey:
      type: apiKey
      in: header
      name: KEY
      description: Broker API Key，由專案管理流程建立。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.